From c75f14d8e65ab8f38dd56768504d73ed36a148b0 Mon Sep 17 00:00:00 2001
From: Upgrade Helper <auh@yoctoproject.org>
Date: Tue, 15 Oct 2024 07:19:27 +0000
Subject: [PATCH] ppp: upgrade 2.5.0 -> 2.5.1

---
 .../ppp/{ppp_2.5.0.bb => ppp_2.5.1.bb}        | 57 ++++++++++++++++++-
 1 file changed, 54 insertions(+), 3 deletions(-)
 rename meta/recipes-connectivity/ppp/{ppp_2.5.0.bb => ppp_2.5.1.bb} (62%)

diff --git a/meta/recipes-connectivity/ppp/ppp_2.5.0.bb b/meta/recipes-connectivity/ppp/ppp_2.5.1.bb
similarity index 62%
rename from meta/recipes-connectivity/ppp/ppp_2.5.0.bb
rename to meta/recipes-connectivity/ppp/ppp_2.5.1.bb
index 36e2585de4..f38b60f01c 100644
--- a/meta/recipes-connectivity/ppp/ppp_2.5.0.bb
+++ b/meta/recipes-connectivity/ppp/ppp_2.5.1.bb
@@ -1,3 +1,53 @@
+# FIXME: the LIC_FILES_CHKSUM values have been updated by 'devtool upgrade'.
+# The following is the difference between the old and the new license text.
+# Please update the LICENSE value if needed, and summarize the changes in
+# the commit message via 'License-Update:' tag.
+# (example: 'License-Update: copyright years updated.')
+#
+# The changes:
+#
+# --- pppd/ccp.c
+# +++ pppd/ccp.c
+# @@ -17,7 +17,7 @@
+#   * 3. Redistributions of any form whatsoever must retain the following
+#   *    acknowledgment:
+#   *    "This product includes software developed by Paul Mackerras
+# - *     <paulus@samba.org>".
+# + *     <paulus@ozlabs.org>".
+#   *
+#   * THE AUTHORS OF THIS SOFTWARE DISCLAIM ALL WARRANTIES WITH REGARD TO
+#   * THIS SOFTWARE, INCLUDING ALL IMPLIED WARRANTIES OF MERCHANTABILITY
+# --- chat/chat.c
+# +++ chat/chat.c
+# @@ -1,15 +1,15 @@
+# +/* SPDX-License-Identifier: MIT */
+#  /*
+#   *	Chat -- a program for automatic session establishment (i.e. dial
+#   *		the phone and log in).
+#   *
+# - * Standard termination codes:
+# - *  0 - successful completion of the script
+# - *  1 - invalid argument, expect string too large, etc.
+# - *  2 - error on an I/O operation or fatal error condition.
+# - *  3 - timeout waiting for a simple string.
+# - *  4 - the first string declared as "ABORT"
+# - *  5 - the second string declared as "ABORT"
+# - *  6 - ... and so on for successive ABORT strings.
+# + * This version is Copyright 1995-2023 Paul Mackerras <paulus@ozlabs.org>
+# + * based on the original public-domain version by Karl Fox.
+#   *
+# - *	This software is in the public domain.
+# - *
+# + * Permission is hereby granted, free of charge, to any person
+# + * obtaining a copy of this software and associated documentation
+# + * files (the “Software”), to deal in the Software without
+# + * restriction, including without limitation the rights to use, copy,
+# + * modify, merge, publish, distribute, sublicense, and/or sell copies
+# + * of the Software, and to permit persons to whom the Software is
+# + * furnished to do so, subject to the following conditions:
+# 
+#
+
 SUMMARY = "Point-to-Point Protocol (PPP) support"
 DESCRIPTION = "ppp (Paul's PPP Package) is an open source package which implements \
 the Point-to-Point Protocol (PPP) on Linux and Solaris systems."
@@ -6,10 +56,11 @@ HOMEPAGE = "http://samba.org/ppp/"
 BUGTRACKER = "http://ppp.samba.org/cgi-bin/ppp-bugs"
 DEPENDS = "libpcap openssl virtual/crypt"
 LICENSE = "BSD-3-Clause & BSD-3-Clause-Attribution & GPL-2.0-or-later & LGPL-2.0-or-later & PD & RSA-MD"
-LIC_FILES_CHKSUM = "file://pppd/ccp.c;beginline=1;endline=29;md5=e2c43fe6e81ff77d87dc9c290a424dea \
+LIC_FILES_CHKSUM = "file://pppd/ccp.c;beginline=1;endline=29;md5=1bea10e81fc6f2df105b1f8b733cb149 \
                     file://pppd/plugins/passprompt.c;beginline=1;endline=10;md5=3bcbcdbf0e369c9a3e0b8c8275b065d8 \
                     file://pppd/tdb.c;beginline=1;endline=27;md5=4ca3a9991b011038d085d6675ae7c4e6 \
-                    file://chat/chat.c;beginline=1;endline=15;md5=0d374b8545ee5c62d7aff1acbd38add2"
+                    file://chat/chat.c;beginline=1;endline=15;md5=f7a558ad898b43b8e47544a8caf46fb3 \
+                    "
 
 SRC_URI = "https://download.samba.org/pub/${BPN}/${BP}.tar.gz \
            file://pon \
@@ -25,7 +76,7 @@ SRC_URI = "https://download.samba.org/pub/${BPN}/${BP}.tar.gz \
            file://ppp@.service \
            "
 
-SRC_URI[sha256sum] = "5cae0e8075f8a1755f16ca290eb44e6b3545d3f292af4da65ecffe897de636ff"
+SRC_URI[sha256sum] = "733b7f5840b613da4eab0429a5081293275f06ba8b528e1b8eea6964faf0243a"
 
 inherit autotools systemd
 
-- 
2.44.1

